# 🚀 ApolloNvim
#### Verze: 25.01
#### [The English version can be found under this link](#english)
[Plugins](./plugins.md)

[Installation](./installation.md)


<figure style="text-align: center;">
<img src="./img/apollonvim.jpg" alt="ApolloNvim" width="50%" height="auto">
</figure>

# Programování je mnohem zábavnější, když jste efektivní. Neovim vás tam může časem dostat, ale musíte být ochotni zkoušet nové věci. Nové pluginy, nové remapy atd. 



## Úvod:
* **Vždy se podívej před instalací nových pluginu, na  dokumentaci k plaginům na Githubu. Předejdeš tím případným problémům! Pokud si nejsi jistý postupem nebo ti není něco jasné, tak raději se podívej do dokumentace, napiš nám nebo na fórech najdeš odpověď. Táke si vše vždy před změnou vše zálohuj!**
* 👉 Neovim  setup pro Front-End vývoj postavený na [Plug.vim](https://github.com/junegunn/vim-plug), [Coc](https://github.com/neoclide/coc.nvim) a [Lua](https://neovim.io/doc/user/lua-guide.html).
* 👉 Výhody Neovim oproti klasickému IDE jsou nesporně ve svobodě konfigurace, je tisíce možností, jak Váš Neovim může vypadat a fungovat. Pro Vaši inspiraci a použití vznikl tento projekt 🚀 ApolloNvim.
* 👉 Tato distribuce nefunguje jen, že kliknete na tlačítko a nainstaluje se. Vede Vás k samostatné instalaci pomocí tohoto webu. Cílem je pochopit, jak Neovim funguje, abyste si sami mohli vše modifikovat, což i click-on distribucí se nenaučíte.
* 👉 Dvě Edice 🚀ApolloNvim Starter za měřenou na práci s texty díky podpoře markdown a FrontEnd Edice zaměřená na vývoj webů.
* 👉 🚀ApolloNvim FrontEnd Editions - toto nastavení jsem vytvořil pro vývoj webu. Inspiroval jsem se pluginy, které jsem využíval v VSCode a Webstorm.
* 👉 V říjnu 2024 byla nově přidána podpora PHP a také Automatická instalace puginu.
* 👉 Velký důraz je kladen na rychlost a lehkost.
* 👉 🚀 ApolloNvim Distro je pravidelně aktualizováno tak i celý projekt.
* 👉 Pro nejlepší zážitek s 🚀 ApolloNvim Distro doporučuji používat multiplexor [Zellij](https://git.arch-linux.cz/kankys/zellij-mySetup) nebo [Terminator](https://gnome-terminator.org/), ale není to samozřejmě podmínkou.
## Přednosti:
* 👉 Hlavní předností tohoto nastavení jsou podpora: Codeium alternativa k Copilot zdarma, Prettier, AutoSave, diplňování HTML, CSS, JS a zkratky k zakomentování a odkomentování kódu (CTRL + k). Také je zde několik pluginu pro příjemnější práci v Neovim.
* 👉 S [LSP](https://github.com/neovim/nvim-lspconfig) v této instalaci využívám [Coc](https://github.com/neoclide/coc.nvim) pro jeho jednoduchost, stabilitu a rychlost. 
* 👉 Ty nejlepší témata pro Neovim (ať je nemusíte hledat), je defaultně nastavéné GitHub Dark.
* 👉 Téma v Neovim si jednoduše změníte v command line příkazem `colorscheme` a tlačítkem Tab se budete přepínat mezi jednotlivými tématy.

    


### Plán 🚀 ApolloNvim:
- 👉 Do budoucna můžete očekávat tyto nové funkce a další novinky:
- 👉 Nová vlastní uvítací obrazovka.
- 👉 Nové pluginy.
- 👉 Návody k pluginům, jak nastavit a jak s nimi pracovat.
- 👉 Návody k práci s Neovim.


### Otázky a odpovědi:
* 👉 Kolik stojí 🚀 ApolloNvim? -> Nic 🚀 ApolloNvim je zdarma.
* 👉 Jak je moc složitý 🚀 ApolloNvim? ->  🚀 ApolloNvim je možná složitější než ostatní editory, ale jak se sním človek naučí zjistí jak je skvělý editor.

### Kontakty:
* 👉 [🚀 ApolloNvim Telegram](https://t.me/apollonvim)
* 👉 [Osobní web autora 🚀 ApolloNvim ](https://lukaskanka.cz/)

### Podpora:
* 👉 Pokud jakkoliv chcete podpořit nebo se podílet na obsahu a funkčnosti 🚀 ApolloNvim, budu rád, když mi zde napíšete.
* 👉 Taky můžete tento projekt podpořit pár Satoshi:

![SAT](https://lukan.cz/wp-content/uploads/2025/01/0a895d16-ce64-4e8a-9a9d-05c568dc916e_1124x1532-220x300.webp)

### Další projekty a odkazy:
* 👉 [Web autora tohoto projektu](https://lukaskanka.cz/)
* 👉 [ArchLinux CZ](https://arch-linux.cz/)
* 👉 [Vyhledávač SearXNG CZ](https://searxng.cz/)
* 👉 [EndeavourOS Linux](https://endeavouros.cz/)


### Vtip na závěr:
Víte proč má Vim tolik uživatelů? Protože ho neumí vypnout.

________________________________________________________________

# 🚀 ApolloNvim {#english}
#### Verzion: 25.01

# Programming is much more fun when you are efficient. Neovim can get you there eventually, but you have to be willing to try new things. New plugins, new remaps, etc.


<figure style="text-align: center;">
<img src="./img/apollonvim.jpg" alt="ApolloNvim" width="50%" height="auto">
</figure>

👉 Neovim setup for Front-End development based on  [Plug.vim](https://github.com/junegunn/vim-plug), [Coc](https://github.com/neoclide/coc.nvim) and [Lua](https://neovim.io/doc/user/lua-guide.html).

👉 The advantages of Neovim over a classic IDE are undeniable in the freedom of configuration, there are thousands of possibilities how your Neovim can look and work. For your inspiration and use this project was created 🚀 ApolloNvim.

👉 This distribution doesn't just work by clicking a button and installing. It will lead you to a separate installation using this site. The goal is to understand how Neovim works so you can modify everything yourself, which even click-on distributions don't teach you.

👉 Two Editions 🚀ApolloNvim Starter for scaled to work with text thanks to markdown support and FrontEnd Edition focused on web development.

👉 This setting is primarily for web development. I was inspired by the plugins I used in VSCode and Webstorm.

👉 In October 2024, PHP support was newly added as well as Automatic pugin installation.

👉 Great emphasis is placed on speed and lightness.

👉 🚀 ApolloNvim Distro is regularly updated and so is the whole project.

👉 For the best experience with 🚀 ApolloNvim Distro, I recommend using [Zellij](https://git.arch-linux.cz/kankys/zellij-mySetup)  or [Terminator](https://gnome-terminator.org/), multiplexor, but it's not a requirement of course.




## Advantages:

👉 The main advantages of this setup are support for Codeium, a free alternative to Copilot, Prettier, AutoSave, HTML, CSS, JS dipping and shortcuts to comment and uncomment code (CTRL + k). There are also several plugins to make working in Neovi more enjoyable.

👉 With [LSP](https://github.com/neovim/nvim-lspconfig) in this installation I use  [Coc](https://github.com/neoclide/coc.nvim) for its simplicity, stability and speed.

👉 The best themes for Neovim (so you don't have to search for them) is the default Dracula.

👉 To change the theme in Neovi, simply use the `:colorscheme` command in the command line and use the Tab button to switch between themes.


## Plan 🚀ApolloNvim:

👉 You can expect these new features and more in the future:

👉 Installer 🚀 ApolloNvim via link from Git.

👉 New custom welcome screen.

👉 New plugins.
👉 Tutorials on plugins, how to set them up and how to work with them.

👉 Instructions for working with Neovim.

## Questions and Answers:

👉 How much does ApolloNvim cost? -> Nothing 🚀 ApolloNvim is free.

👉 How complicated is 🚀 ApolloNvim? -> 🚀 ApolloNvim may be more complicated than other editors, but once you learn how to use it, you'll see how great it is.


### Contact:
* 👉 [🚀 ApolloNvim Telegram](https://t.me/apollonvim)
* 👉 [Author's personal website  🚀 ApolloNvim ](https://lukaskanka.cz/)

### Support:
* 👉 If in any way you want to support or contribute to the content and functionality of 🚀 ApolloNvim, I'd be happy to hear from you.
* 👉 You can also support this project with a few Satoshi:

![SAT](https://lukan.cz/wp-content/uploads/2025/01/0a895d16-ce64-4e8a-9a9d-05c568dc916e_1124x1532-220x300.webp)

### More projects and links:
* 👉 [ArchLinux CZ](https://arch-linux.cz/)
* 👉 [Vyhledávač SearXNG CZ](https://searxng.cz/)
* 👉 [EndeavourOS Linux](https://endeavouros.cz/)

### Joke at the end:
Do you know why Vim has so many users? Because they can't turn it off.

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
