# 🚀 ApolloNvim - Instalace - Installation
#### Verze: 25.01
#### [The English version can be found under this link](#english)
[Readme](./README.md)

[Plugins](./plugins.md)

![ApolloNvim](./img/apollonvim.jpg)



### Vždy se podívej před instalací nových pluginu, na dokumentaci k plaginům na Githubu. Předejdeš tím případným problémům! Pokud si nejsi jistý postupem nebo ti není něco jasné, tak raději se podívej do dokumentace,napiš nám nebo fórech najdeš odpověď.
### Tato instalace je určena pro Linux a Mac.
### Vždy si aktualizujte a používejte nejnovější verzi Neovim a všech balíčků.
## Instalace a nastavení Start Editions:
* 👉 Pokud ještě nemáte, nainstalujte si [Neovim](https://neovim.io/).
* 👉 Bude potřeba nainstalovat plug.vim abyste mohl/a instalovat rozšíření.
* 👉 Běžte na tuto [stránku](https://github.com/junegunn/vim-plug) pod Installation si najděte svůj operační systém a zkopírujte odkaz pod ním do svého terminálu.
* 👉 Pokud už Neovim máte naistalovaný, **nejprve si však zálohujte své aktuální nastavení Neovim!!!**

Konfigirační soubory najdeš zde:

Linux & Mac:

``
/home/user/.config/nvim/init.vim
`` 

Windows:

``
~/AppData/Local/nvim/init.vim
``

### Neovim:
* 👉 Nejjednoduší způsob pro instalaci 🚀 ApolloNvim Distra pro Linux a MacOS si stačí stáhnout tento repozitář příkazem : `git clone -b nvim https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim`.
* 👉 Pozor tento příkaz výše vám přepíše dosavadní složku nvim v ~/.config/nvim. **Nezapomeňte na zálohu stávající složky nvim než ji přepíšete novou s tohoto repozitáře například že původní přejmenujete nvim.bak**.
* 👉 Ale pokud chcete můžete si Nvim nakonfigurovat dle sebe a jen se inspirovat.
* 👉 Neovim pustíte v terminálu příkazem `nvim`.
* 👉 Odklikejte chybová hlášení.
* 👉 V Neovimu zadejte do command line `PlugInstall` , tím nainstalujete všechny pluginy. Restartujte Neovim. Command Line vyvoláte klávesovou zkratkou `SHIFT + :`.
* 👉 Pokud Vám některý plugin chybí, můžete lehce doinstalovat  nebo odinstalovat pomocí `vim.plug`. Více informací najdete na GitHubu [vim.plug](https://github.com/junegunn/vim-plug) nebo velmi rád poradím viz. o nás.
* 👉 Pokud některý plugin nechcete používat stačí ho v souboru `init.vim` zakomentovat pomocí dvojitých uvozovek `"`.
* 👉 Do command line ještě zadejte Coc příkaz, pro doinstalování zbylých pluginů `CocInstall coc-markdown-preview-enhanced coc-webview`. A ještě jednou restartujte Neovim a vše máte připravené.
* 👉 Pokud se Vám vše nechce instalovat ručně můžete stáhnout tento repožitář a nainstalujte si pouze `vim.plug` a COC (jak nainstalovat vim.plug najdeš výšše) a pak stačí jen použít příkaz `:PlugInstall` a vše Vám bude hned fungovat. 
* 👉 Některé plaginy potřebují na konfigurovat v jazyce Lua. Jak na to se dozvíš v readme [18. Konfigurace Lua](readme/
).
* 👉 Tuto konfiguraci používám na Linuxu i MacOS.

## Instalace a nastavení FrontEnd Editions:
* 👉 Pokud ještě nemáte, nainstalujte si [Neovim](https://neovim.io/).
* 👉 Bude potřeba nainstalovat plug.vim abyste mohl/a instalovat rozšíření.
* 👉 Běžte na tuto stránku [stránku](https://github.com/junegunn/vim-plug) pod Installation si najděte svůj operační systém a zkopírujte odkaz pod ním do svého terminálu.
* 👉 Pokud už Neovim máte naistalovaný, **nejprve si však zálohujte své aktuální nastavení Neovim!!!**

Konfigirační soubory najdeš zde:

Linux & Mac:

``
/home/user/.config/nvim/init.vim
`` 

Windows:

``
~/AppData/Local/nvim/init.vim
``

### Node.js:
* 👉 Doporučuji i mít nainstalovaný [Node.js](https://nodejs.org/en) 
* 👉 Dále si v Node.js nainstalujte [Live-server](https://www.npmjs.com/package/live-server) příkazem `npm i live-server`.
* 👉 Ve svém adresáři projektu budete moci pouštět svůj index.html příkazem `npx live-server`.
* 👉 Pro správnou funkčnost LSP si doinstalujte tyto balíčky:

Pokud vám terminál vypíše chybu při použití příkazu npm. Bude potřeba balíček instalovat jako sudo.



[vscode-html-language-server](https://github.com/microsoft/vscode-html-languageservice)

[vscode-css-language-server](https://github.com/microsoft/vscode-css-languageservice)

[typescript-language-server](https://github.com/typescript-language-server/typescript-language-server)

[emmet-ls](https://github.com/aca/emmet-ls)

[tailwindcss-language-server](https://github.com/tailwindlabs/tailwindcss-intellisense/blob/master/packages/tailwindcss-language-server/README.md)

### Neovim:
* 👉 Nejjednoduší způsob pro instalaci 🚀 ApolloNvim Distra pro Linux a MacOS si stačí stáhnout tento repozitář příkazem : `git clone -b frontend https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim`.
* 👉 Pozor tento příkaz výše vám přepíše dosavadní složku nvim v ~/.config/nvim. **Nezapomeňte na zálohu stávající složky nvim než ji přepíšete novou s tohoto repozitáře například že původní přejmenujete nvim.bak**.
* 👉 Ale pokud chcete můžete si Nvim nakonfigurovat dle sebe a jen se inspirovat.
* 👉 Neovim pustíte v terminálu příkazem `nvim`.
* 👉 Odklikejte chybová hlášení.
* 👉 V Neovimu zadejte do command line `PlugInstall` , tím nainstalujete všechny pluginy. Restartujte Neovim. Command Line vyvoláte klávesovou zkratkou `SHIFT + :`.
* 👉 Pokud Vám některý plugin chybí, můžete lehce doinstalovat  nebo odinstalovat pomocí `vim.plug`. Více informací najdete na GitHubu [vim.plug](https://github.com/junegunn/vim-plug) nebo velmi rád poradím viz. o nás.
* 👉 Pokud některý plugin nechcete používat stačí ho v souboru `init.vim` zakomentovat pomocí dvojitých uvozovek `"`.
* 👉 Do command line ještě zadejte Coc příkaz, pro doinstalování zbylých pluginů `CocInstall  coc-tailwindcss coc-json coc-html-css-support coc-html coc-emmet coc-xml coc-tsserver coc-lsp-wl coc-lit-html coc-htmldjango coc-css coc-markdown-preview-enhanced coc-webview coc-phpls coc-prettier coc-eslint`. A ještě jednou restartujte Neovim a vše máte připravené.
* 👉 Pokud se Vám vše nechce instalovat ručně můžete stáhnout tento repožitář a nainstalujte si pouze `vim.plug` a COC (jak nainstalovat vim.plug najdeš výšše) a pak stačí jen použít příkaz `:PlugInstall` a vše Vám bude hned fungovat. 
* 👉 Některé plaginy potřebují na konfigurovat v jazyce Lua. Jak na to se dozvíš v readme [18. Konfigurace Lua](readme/
).
* 👉 Tuto konfiguraci používám na Linuxu i MacOS.

___

# 🚀 ApolloNvim - Installation {#english}

# Before installing new plugins, always check the documentation for the plugins on Github. This will prevent potential problems! If you're not sure about the procedure or something is not clear, you'd better check the documentation,write to us or the forums to find the answer.

#### This installation is for Linux and Mac.
#### Always update and use the latest version of Neovim and all packages.

## Installation and setup Start Edition:

👉 If you don't have it yet, install [Neovim](https://neovim.io/).

👉 You will need to install plug.vim to install the extension.

👉 Go to this [page](https://github.com/junegunn/vim-plug) under Installation find your operating system and copy the link under it into your terminal.

**But first back up your current Neovim settings!!!**

Configuration files can be found here:

 Linux & Mac:
``
/home/user/.config/nvim/init.vim
``

Windows:

``
~\AppData\Local\nvim
``

### Neovim:

👉 The easiest way to install 🚀 ApolloNvim Distro for Linux and macOS is to download this repository with the command :

``git clone -b nvim https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim``

👉 Note this command above will overwrite the existing nvim folder in ~/.config/nvim. **Don't forget to back up the existing nvim folder before you overwrite it with a new one from this repository, for example by renaming the original nvim.bak.**

👉 But if you want you can configure Nvim to your liking and just get inspired.

👉 You can run neovim in the terminal with the ``nvim`` command.

👉 Click on error messages.

👉 In Neovim, type ``PlugInstall`` in the command line , this will install all plugins. Restart Neovim. Command Line is invoked with the keyboard shortcut ``SHIFT + :``.

👉 If you are missing a plugin, you can easily install or uninstall it using plug.vim. You can find more information on GitHub [vim.plug](https://github.com/junegunn/vim-plug) or I'd be happy to advise you see about us.

👉 If you don't want to use a plugin, just comment it out in the init.vim file using double quotes ``"``.

👉 Enter the Coc command in the command line to install the remaining plugins:
``
CocInstall coc-markdown-preview-enhanced coc-webview
``
👉 Reboot Neovim once more and you're all set.

👉 I use this configuration on both Linux and macOS.
## Installation and setup FrontEnd Edition:

👉 If you don't have it yet, install [Neovim](https://neovim.io/)
.

👉 You will need to install plug.vim to install the extension.

👉 Go to this [page](https://github.com/junegunn/vim-plug) under Installation find your operating system and copy the link under it into your terminal.

**But first back up your current Neovim settings!!!**

Configuration files can be found here:

Linux & Mac:

``
/home/user/.config/nvim/init.vim
``

Windows:

``
~\AppData\Local\nvim
`
`
### Node.js:


👉 I recommend to have [Node.js](https://nodejs.org/en) installed.

👉 Next, install the [Live-server](https://www.npmjs.com/package/live-server) in Node.js with the command:

``
npm i live-server
``

👉 In your project you will be able to run your index.html command:

``
npx live-server
``

👉 For proper LSP functionality, install the following packages:

If the terminal gives you an error when you use the npm command. You will need to install the package as sudo.

[vscode-html-language-server](https://github.com/microsoft/vscode-html-languageservice)

[vscode-css-language-server](https://github.com/microsoft/vscode-css-languageservice)

[typescript-language-server](https://github.com/typescript-language-server/typescript-language-server)

[emmet-ls](https://github.com/aca/emmet-ls)

[tailwindcss-language-server](https://github.com/tailwindlabs/tailwindcss-intellisense/blob/master/packages/tailwindcss-language-server/README.md)

### Neovim:

👉 The easiest way to install 🚀 ApolloNvim Distro for Linux and macOS is to download this repository with the command :

``
git clone -b frontend https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim
``

👉 Note this command above will overwrite the existing nvim folder in ~/.config/nvim. **Don't forget to back up the existing nvim folder before you overwrite it with a new one from this repository, for example by renaming the original nvim.bak**.

👉 But if you want you can configure Nvim to your liking and just get inspired.

👉 You can run neovim in the terminal with the ``nvim`` command.

👉 Click on error messages.

👉 In Neovim, type PlugInstall in the command line , this will install all plugins. Restart Neovim.

👉 If you are missing a plugin, you can easily install or uninstall it using plug.vim. You can find more information on GitHub  [vim.plug](https://github.com/junegunn/vim-plug){target="_blank"} or I'd be happy to advise you see about us.

👉 If you don't want to use a plugin, just comment it out in the ``init.vim`` file using double quotes ``"``.

👉 Enter the Coc command in the command line to install the remaining plugins:

``
CocInstall coc-tailwindcss coc-json coc-html-css-support coc-html coc-emmet coc-xml coc-tsserver coc-lsp-wl coc-lit-html coc-htmldjango coc-css coc-markdown-preview-enhanced coc-webview coc-phpls coc-prettier coc-eslint
``

👉 Reboot Neovim once more and you're all set.

👉 I use this configuration on both Linux and macOS.

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
