# 05. Barevné schéma

Většinu barevných schémat v Neovimu lze nainstalovat jako plugin. Barevných schémat  existuje spousta. Zde je seznam některých znich na [GitHubu](https://github.com/rafi/awesome-vim-colorschemes).

Mezi mé oblíbené patří:
`Gruvbox`
`Dracula`
`Tokionight`


Schémata se instalují uvnitř `plug#begin()`  a `plug#end()`, pojďme deklarovat naše barevné schéma. Pro ilustraci použiji Gruvbox:

````

call plug#begin('~/.config/nvim/plugged')

Plug 'gruvbox-community/gruvbox'

call plug#end()
````


Výše uvedený příklad ukazuje, jak deklarovat pluginy, se kterými chcete nainstalovat pluginy přes  vim-plug . Plugin Gruvbox výšše je zkrácený zápis pro:

`` Plug 'https://github.com/gruvbox-community/gruvbox'``


Jakmile deklarujete svůj plugin init.vim, k instalaci je třeba provést několik dalších kroků:

    Uložte své init.vim :w
    Načíst source (zdroj) init.vims :so % nebo restart Neovim
    Instalovat barevné schémata :PlugInstall

Výše uvedené příkazy je třeba zadat NORMAL režimu. 


Po dokončení instalace pluginu můžete zavřít vim-plug (vyrovnávací paměti ) zadáním `:q!`.

Po instalaci vašeho barevného schématu budeme muset Neovimu říct, aby jej použil. Uvnitř tvého init.vim pod deklarace pluginu přidejte následující řádky kódu:


```
call plug#begin('~/.config/nvim/plugged')

Plug 'gruvbox-community/gruvbox'

call plug#end()

" Vybere tvé barevné schéma:
colorscheme gruvbox
" Automaticky po startu Neovim načte tvé schéma
autocmd VimEnter * colorscheme gruvbox
```


Uložte a ukončete  init.vim pomocí `:wq`. Až příště znovu otevřete Neovim, měli byste vidět nové barevné schéma!

Barevné schéma můžete změnit i za běhu Neovim tímto způsobem:

`:colorscheme  -> klikni <space> <Tab>`

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
