# 10. vim-fugitive

Vim-fugitive je plugin pro textový editor Vim a Neovim, který poskytuje sadu funkcí pro práci se systémem správy verzí Git přímo z editoru Vim. Tento plugin usnadňuje úlohy, jako je procházení historie commitů, porovnávání verzí souborů, přidávání změn do indexu, vytváření commitů a řešení konfliktů při slučování verzí. Vim-fugitive je populární mezi vývojáři, kteří preferují práci přímo z příkazové řádky a cení si efektivity a rychlosti.


Pojďme si ho nainstalovat. Nejprve si vim-fugitive přidáme do init.vim:  

```


call plug#begin('~/.config/nvim/plugged')


" vim-fugitive
Plug 'tpope/vim-fugitive'

call plug#end()
```

Pro tento plugin není nutná žádná konfigurace. Stačí uložit zdroj, nainstalovat a můžeš ho začít používat.

 Dovol, abych Ti dal několik užitečných tipů pro začátek s vim-fugitive.

`:Git`

Jak jste možná poznali u těchto typů příkazů, můžete je použít `<Tab>`automatické doplňování, abyste viděli, co ještě umí:  

```
:Git <Tab>
```

A je toho hodně, co můžete v `vim-fugitive` dělat, ale pokud znáte Git,  `vim-fugitive` bude pro tebe hračka:  

```
" zobrazí aktuálni stav branch
:Git status

" zobrazí dostupné branches
:Git branch

" práce s ůložným prostorem
:Git stash


:Git add


:Git commit


:Git push
```

Zadání `:Git` vyvolá [bez příkazu `fugitive-summary`okno](https://github.com/tpope/vim-fugitive/blob/69f5fcbd459c113181d18a0ea2641cd47c9e0318/doc/fugitive.txt#L50) . Vlastně se mi tato funkce hodně líbí. Zobrazí se seznam nesledovaných, připravených a nepřiřazených souborů spolu s aktuálním názvem větve. Umístěním kurzoru na tyto soubory vám umožní spouštět určité „mapy“, jako je příprava/odstaging, zahození změn, přepínání vložených rozdílů atd.

Pro více informací o tom, jaké mapy jsou v rámci `fugitive-summary`okno, zadejte:  

```
:h fugitive-maps
```

Nebo [se podívejte na tento odkaz](https://github.com/tpope/vim-fugitive/blob/69f5fcbd459c113181d18a0ea2641cd47c9e0318/doc/fugitive.txt#L258) .

`vim-fugitive` se zobrazuje i vespodní liště. Máte informace o tom v jáké větvi jste či kolik změn jsi v kódu provedl.

Pro více informací na `vim-fugitive`zadejte do Neovimu následující příkaz:  

```
:h fugitive
```

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>