# 12. Ještě lepší Neovim s Zellij terminálovým multiplexorem

Co mi chybí na Neovim, je způsob, jak z něj zavolat terminál a otevřít terminál (druhé okno terminálu pod oknem s Neovim, viz obrázek) stejnou cestou, na kterém pracuji.

Abych toho dosáhl, používám [Zellij](https://zellij.dev/) , což je terminálový multiplexor.

##  Konfigurace Zellij

[Zellij](https://zellij.dev/) vám umožňuje vytvářet vlastní rozvržení, která lze vyvolat při spuštění, abyste je lépe přizpůsobili práci, kterou budete dělat.

Následuje konfigurace pro práci s textovým editorem Neovim. Tuto konfiguraci jsem uložil pod touto cestou `~/.config/zellij/layouts/nvim.kdl`:  

```
layout {
    pane size=1 borderless=true {
        plugin location="zellij:tab-bar"
    }
    pane {
        command "nvim"
        args "."
    }
    pane split_direction="vertical" size="10%" {

    } 
    pane size=2 borderless=true {
        plugin location="zellij:status-bar"
    }
}
```

Výsledkem je následující rozložení:

![](https://lukan.cz/wp-content/uploads/2024/03/HelixAndZellij-700x382.png)

Nvim běžící v horním podokně s terminálovou konzolí v jiném podokně dole, ve stejné cestě jako projekt, se kterým pracuji!! a přesně tohoto cíle jsem chtěl dosáhnout.

## Konfigurace systému

Nyní ke spuštění zellij s vlastním rozložením a instancí Nvim musíte spustit:  

```
zellij --layout ~/.config/zellij/layouts/nvim.kdl
```

V místě (složce) v terminálu kde chcete spustit Neovim.

Nyní pro zjednodušení tohoto příkazu jsem vytvořil alias `znv`a uložil to do mého `~/.bashrc`soubor.  

```
alias znv='zellij --layout $HOME/.config/zellij/layouts/nvim.kdl'
```

S touto konfigurací pokaždé, když potřebuji vytvořit novou instanci Neovim, stačí zadat _znv_ do adresáře, se kterým chci pracovat, a [Zellij](https://zellij.dev/) mi zavolá Neovim a automaticky otevře projekt.

<div style="text-align: center;">
  Copyright © 2024 - 2025 🚀 ApolloNvim / Lukáš Kaňka
</div>
